locked
system.data.oracleclient requires oracle client software 8.1.7 or greater RRS feed

  • Question

  • I am unable to connect to Oracle 9i from SSRS 2005. When I select DataSource type as Oracle and give necessary permissions, I have the error described below:

    system.data.oracleclient requires oracle client software 8.1.7 or greater

    Please help.


    ReportingServices
    Tuesday, February 16, 2010 4:06 PM

Answers

  • Hi VDeepak,

    Generally, the issue is caused by: 1. You are using 64 bit Reporting Services, however, the Oracle client is 32 bit version. Or 2.  Access violation to Oracle client directories.

    If you are using 64 bit version SQL Server Reporting Services, please install 64 bit Oracle client to solve the issue.
    If the version is correct, please give proper permissions for Oracle client directories:
    1. Open Windows Explorer.
    2.Go to Oracle home directory (C:\Oracle by default)
    3.Give Read & Execute permissions to the Oracle home directory for the ASPNET, IUSR and IWAM users.

    Now, we are able to connect to Oracle 9i data source.

    If  you have any more questions, please feel free to ask.

    Thanks,
    Jin Chen
    Jin Chen - MSFT
    Thursday, February 18, 2010 6:13 AM